Subject: bug#68560: closed (Re: [bug#68560] [PATCH 0/5] Disable failing leptonica tests.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 Feb 2024 10:37:03 +0000

Your bug report

#68560: [PATCH 0/5] Disable failing leptonica tests.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68560: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68560
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#68560] [PATCH 0/5] Disable failing leptonica tests.
From: Guillaume Le Vaillant <[email-masked]>
To: Herman Rimm <[email-masked]>
Cc: [email-masked]
Date: Sat, 24 Feb 2024 10:30:47 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This has been solved in a different way in
df5653adcbd1f9799f810f46d514b2ca4112af97.

Concerning the updates to libpng etc, they cause the rebuild of a lot of
packages, therefore they are done on the core-updates branch instead of
master. So i'm closing this issue, and if you want to update libpng etc,
please open a new issue with patches based on the core-updates branch.

Subject: [PATCH 0/5] Disable failing leptonica tests.
From: Herman Rimm <[email-masked]>
To: [email-masked]
Cc: Herman Rimm <[email-masked]>
Date: Thu, 18 Jan 2024 08:05:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I tried to patch leptonica to make all tests pass. In the end I disabled
the two failing tests. Along the way I updated the leptonica package and
its dependencies.

Herman Rimm (5):
  gnu: Add libjpeg-turbo-3.
  gnu: Add openjpeg-2024.
  gnu: leptonica: Update to 1.84.1.
  gnu: libpng: Update to 1.6.40.
  gnu: Guix style leptonica, libpng and libpng-apng.

 gnu/packages/image.scm | 221 +++++++++++++++++++++++------------------
 1 file changed, 126 insertions(+), 95 deletions(-)

base-commit: 270570f09030f8888f613ed18e7b78ae6a7156e0
-- 
2.41.0